<div class="row">
  <div class="col-md-12">
    <nb-card class="inline-form-card">
      <nb-card-body>
        <div class="text-right mr-6 pr-6 pt-3 pb-3">
          <button (click)="create()" class="mr-6 btn btn-outline-warning">
            Add PUV
          </button>
        </div>
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Type</th>
              <th>Code</th>
              <th style="text-align: center">Routes</th>
              <th>Status</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr  *ngFor="let item of vehicles | paginate: { itemsPerPage: 5, currentPage: p }">
              <td>{{item.type}}</td>
              <td>{{item.code}}</td>
              <td>
                <ng-container>
                  <!-- if no landmark..there are no data display -->
                  <!-- placeholder="{{item.routes[0].landmark}}..." -->
                  <nb-select [(selected)]="selected_routes" placeholder="{{item.routes[0].landmark}} ..." fullWidth>
                    <nb-option *ngFor="let _item of item.routes;let i=index">Route #{{i + 1}} {{_item.landmark}}</nb-option>
                  </nb-select>
                </ng-container>
              </td>
              <td>{{item.update_status}}</td>
              <td >
                <div style="margin-left: -2rem;">
                <button class="i-e" (click)="edit(item)" nbTooltip="Edit PUV" nbButton ghost size="large">
                  <nb-icon icon="edit"></nb-icon>
                </button>
                <button class="i-e" (click)="view(item)" nbTooltip="View in Map" nbButton ghost size="large">
                  <nb-icon icon="eye"></nb-icon>
                </button>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <hr>
      </nb-card-body>
      <!-- pager -->
      <!-- <div class="text-right mr-4 pr-6 pt-3 pb-3">
      <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
        <li [ngClass]="{disabled:pager.currentPage === 1}">
          <a (click)="setPage(1)">First</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === 1}">
          <a (click)="setPage(pager.currentPage - 1)">Previous</a>
        </li>
        <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
          <a (click)="setPage(page)">{{page}}</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
          <a (click)="setPage(pager.currentPage + 1)">Next</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
          <a (click)="setPage(pager.totalPages)">Last</a>
        </li>
      </ul>
      </div> -->
      <div class="text-right mr-4 pr-6 pt-3 pb-3">        
        <pagination-controls class="pagination" (pageChange)="p = $event"></pagination-controls>
        </div>
    </nb-card>
  </div>
</div>